Add map_info to dm-crypt map function.

Merge this patch with endio patch
--- diff/drivers/md/dm-crypt.c	2004-02-18 09:04:00.000000000 +0000
+++ source/drivers/md/dm-crypt.c	2004-02-18 09:25:36.000000000 +0000
@@ -601,7 +601,8 @@
 	return clone;
 }
 
-static int crypt_map(struct dm_target *ti, struct bio *bio)
+static int crypt_map(struct dm_target *ti, struct bio *bio,
+		     union map_info *map_context)
 {
 	struct crypt_config *cc = (struct crypt_config *) ti->private;
 	struct crypt_io *io = mempool_alloc(cc->io_pool, GFP_NOIO);
